#include<iostream>

using namespace std;

int main()
{
	int ukupnopoena, minusetu;
	scanf("%d%d",&ukupnopoena,&minusetu);
	if(ukupnopoena/minusetu<3)
	{
		printf("-1");
	}
	else
	{
		int d1,g1,d2,g2,d3,g3;
		d1=minusetu;
		d2=minusetu;
		g1=0;
		g2=0;
		if((ukupnopoena-2*minusetu)%2==1)
			g1=1;
		g3=(ukupnopoena-2*minusetu-2-g1)/2;
		d3=g3+2;
		printf("%d %d\n",d1,g1);
		printf("%d %d\n",d2,g2);
		printf("%d %d\n",d3,g3);
	}
}